View Issue Details

IDProjectCategoryView StatusLast Update
0015811ScribusProperties Palettepublic2019-11-09 11:34
Reporterale Assigned Toale  
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Product Version1.5.6.svn 
Target VersionFixed in Version1.5.6.svn 
Summary0015811: [PATCH] Indigo UI: shrink the "shape" tab of the properties palette
Descriptioni've starting to look again at the proposal made by martin in the indigo project.

i'm trying to find the things that are easy enough to implement in do it.

the first step has been to shrink the size of the shape panel of the properties palette.

in martin's proposal, the fill rule was missing. i've found 0012277 that suggest using inkscape icons and i did so.
i also used the same tooltips as in inkscape.
(i'd like to avoid using a full line for the fill rules, but i could not find a good solution for now).

i've made a pull request on gitlab for review:

https://gitlab.com/scribus/scribus/merge_requests/5

the appimage is here:
https://gitlab.com/a.l.e/scribus/-/jobs/289677481/artifacts/file/Scribus-nightly-x86_64.AppImage
TagsNo tags attached.
PatchYes

Relationships

related to 0012277 resolvedale Simplify UI of even-odd vs. nonzero filling rules 
related to 0015898 assignedale PP -- Shape: radius of corner function in every case becomes active, if you use the default shapes (square) tool 
related to 0010409 assignedale [PATCH] Improve access to contour editing 
related to 0015893 assignedale Margin for images 

Activities

ale

2019-09-06 17:18

manager  

indigo-pp-shape.diff (26,096 bytes)
diff --git a/resources/iconsets/1_5_1/fill-rule-even-odd.png b/resources/iconsets/1_5_1/fill-rule-even-odd.png
new file mode 100644
index 000000000..6bea711ff
Binary files /dev/null and b/resources/iconsets/1_5_1/fill-rule-even-odd.png differ
diff --git a/resources/iconsets/1_5_1/fill-rule-nonzero.png b/resources/iconsets/1_5_1/fill-rule-nonzero.png
new file mode 100644
index 000000000..108db0cab
Binary files /dev/null and b/resources/iconsets/1_5_1/fill-rule-nonzero.png differ
diff --git a/resources/iconsets/1_5_1/round-corners.png b/resources/iconsets/1_5_1/round-corners.png
new file mode 100644
index 000000000..cb70f13b7
Binary files /dev/null and b/resources/iconsets/1_5_1/round-corners.png differ
diff --git a/scribus/ui/propertiespalette_shape.cpp b/scribus/ui/propertiespalette_shape.cpp
index 1c5df1cc7..f6387184a 100644
--- a/scribus/ui/propertiespalette_shape.cpp
+++ b/scribus/ui/propertiespalette_shape.cpp
@@ -35,7 +35,6 @@ for which a new license (GPL+exception) is in place.
 #include "util.h"
 #include "util_math.h"
 
-
 PropertiesPalette_Shape::PropertiesPalette_Shape( QWidget* parent)
 	: QWidget(parent),
 	  m_haveDoc(false),
@@ -51,12 +50,17 @@ PropertiesPalette_Shape::PropertiesPalette_Shape( QWidget* parent)
 	setupUi(this);
 	setSizePolicy( QSizePolicy(QSizePolicy::Maximum, QSizePolicy::Maximum));
 
+	roundRectIcon->setPixmap(IconManager::instance().loadPixmap("round-corners.png"));
+
 	textFlowDisabled->setIcon(IconManager::instance().loadIcon("flow-none.png"));
 	textFlowUsesFrameShape->setIcon(IconManager::instance().loadIcon("flow-frame.png"));
 	textFlowUsesBoundingBox->setIcon(IconManager::instance().loadIcon("flow-bounding.png"));
 	textFlowUsesContourLine->setIcon(IconManager::instance().loadIcon("flow-contour.png"));
 	textFlowUsesImageClipping->setIcon(IconManager::instance().loadIcon("flow-contour.png"));
 
+	evenOdd->setIcon(IconManager::instance().loadIcon("fill-rule-even-odd.png"));
+	nonZero->setIcon(IconManager::instance().loadIcon("fill-rule-nonzero.png"));
+
 	languageChange();
 
 	connect(textFlowBtnGroup, SIGNAL(buttonClicked(int)), this, SLOT(handleTextFlow()));
@@ -67,7 +71,6 @@ PropertiesPalette_Shape::PropertiesPalette_Shape( QWidget* parent)
 	connect(customShape, SIGNAL(FormSel(int, int, qreal *)), this, SLOT(handleNewShape(int, int, qreal *)));
 
 	roundRect->showValue(0);
-	stackedWidget->setCurrentIndex(0);
 }
 
 void PropertiesPalette_Shape::changeEvent(QEvent *e)
@@ -350,23 +353,21 @@ void PropertiesPalette_Shape::setCurrentItem(PageItem *item)
 	roundRect->setValue(m_item->cornerRadius()*m_unitRatio);
 	showTextFlowMode(m_item->textFlowMode());
 
-	if (m_item->asPathText())
-	{
-		stackedWidget->setCurrentIndex(0);
-	}
-	else if (m_item->asTextFrame())
+	if (m_item->asPathText() || m_item->asTextFrame() || m_item->asImageFrame())
 	{
-		stackedWidget->setCurrentIndex(0);
+		nonZero->setChecked(false);
+		nonZero->setEnabled(false);
+		evenOdd->setChecked(false);
+		evenOdd->setEnabled(false);
 	}
 	else
 	{
-		stackedWidget->setCurrentIndex(1);
-		fillRuleGroup->setVisible(m_item->itemType() != PageItem::ImageFrame);
+		nonZero->setEnabled(true);
+		evenOdd->setEnabled(true);
+		nonZero->setChecked(!m_item->fillRule);
 	}
 	setLocked(m_item->locked());
 	setSizeLocked(m_item->sizeLocked());
-	nonZero->setChecked(!m_item->fillRule);
-	evenOdd->setChecked(m_item->fillRule);
 
 	// Frame type 3 is obsolete: CR 2005-02-06
 	//if (((i->itemType() == PageItem::TextFrame) || (i->itemType() == PageItem::ImageFrame) || (i->itemType() == 3)) &&  (!i->ClipEdited))
diff --git a/scribus/ui/propertiespalette_shapebase.ui b/scribus/ui/propertiespalette_shapebase.ui
index 70e25bf44..5b888a1b6 100644
--- a/scribus/ui/propertiespalette_shapebase.ui
+++ b/scribus/ui/propertiespalette_shapebase.ui
@@ -30,341 +30,334 @@
     <number>2</number>
    </property>
    <item>
-    <widget class="QGroupBox" name="shapeGroup">
-     <property name="title">
-      <string>Shape</string>
-     </property>
-     <property name="flat">
-      <bool>true</bool>
-     </property>
-     <layout class="QVBoxLayout" name="verticalLayout_2">
-      <property name="spacing">
-       <number>5</number>
-      </property>
-      <property name="leftMargin">
-       <number>2</number>
-      </property>
-      <property name="topMargin">
-       <number>2</number>
-      </property>
-      <property name="rightMargin">
-       <number>2</number>
-      </property>
-      <property name="bottomMargin">
-       <number>2</number>
-      </property>
-      <item>
-       <layout class="QHBoxLayout" name="horizontalLayout">
-        <item>
-         <spacer name="horizontalSpacer">
-          <property name="orientation">
-           <enum>Qt::Horizontal</enum>
-          </property>
-          <property name="sizeHint" stdset="0">
-           <size>
-            <width>40</width>
-            <height>20</height>
-           </size>
-          </property>
-         </spacer>
-        </item>
-        <item>
-         <widget class="Autoforms" name="customShape">
-          <property name="toolTip">
-           <string>Choose the shape of frame...</string>
-          </property>
-          <property name="text">
-           <string>...</string>
-          </property>
-         </widget>
-        </item>
-        <item>
-         <widget class="QToolButton" name="editShape">
-          <property name="text">
-           <string>&amp;Edit...</string>
-          </property>
-         </widget>
-        </item>
-       </layout>
-      </item>
-      <item>
-       <layout class="QHBoxLayout" name="horizontalLayout_2">
-        <item>
-         <widget class="QLabel" name="roundRectLabel">
-          <property name="text">
-           <string>R&amp;ound Corners:</string>
-          </property>
-          <property name="buddy">
-           <cstring>roundRect</cstring>
-          </property>
-         </widget>
-        </item>
-        <item>
-         <widget class="ScrSpinBox" name="roundRect">
-          <property name="sizePolicy">
-           <sizepolicy hsizetype="Minimum" vsizetype="Fixed">
-            <horstretch>0</horstretch>
-            <verstretch>0</verstretch>
-           </sizepolicy>
-          </property>
-          <property name="toolTip">
-           <string>Set radius of corner rounding</string>
-          </property>
-         </widget>
-        </item>
-       </layout>
-      </item>
-     </layout>
-    </widget>
-   </item>
-   <item>
-    <widget class="QGroupBox" name="textFlowGroup">
-     <property name="title">
-      <string>Text &amp;Flow Around Frame</string>
-     </property>
-     <property name="flat">
-      <bool>true</bool>
-     </property>
-     <layout class="QVBoxLayout" name="verticalLayout_3">
-      <property name="spacing">
-       <number>5</number>
-      </property>
-      <property name="leftMargin">
-       <number>2</number>
-      </property>
-      <property name="topMargin">
-       <number>2</number>
-      </property>
-      <property name="rightMargin">
-       <number>2</number>
-      </property>
-      <property name="bottomMargin">
-       <number>2</number>
-      </property>
-      <item>
-       <widget class="QToolButton" name="textFlowDisabled">
-        <property name="sizePolicy">
-         <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
-          <horstretch>0</horstretch>
-          <verstretch>0</verstretch>
-         </sizepolicy>
-        </property>
-        <property name="text">
-         <string>Disabled</string>
-        </property>
-        <property name="checkable">
-         <bool>true</bool>
-        </property>
-        <property name="autoExclusive">
-         <bool>true</bool>
-        </property>
-        <property name="toolButtonStyle">
-         <enum>Qt::ToolButtonTextBesideIcon</enum>
-        </property>
-        <attribute name="buttonGroup">
-         <string notr="true">textFlowBtnGroup</string>
-        </attribute>
-       </widget>
-      </item>
-      <item>
-       <widget class="QToolButton" name="textFlowUsesFrameShape">
-        <property name="sizePolicy">
-         <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
-          <horstretch>0</horstretch>
-          <verstretch>0</verstretch>
-         </sizepolicy>
-        </property>
-        <property name="text">
-         <string>Use Frame &amp;Shape</string>
-        </property>
-        <property name="checkable">
-         <bool>true</bool>
-        </property>
-        <property name="autoExclusive">
-         <bool>true</bool>
-        </property>
-        <property name="toolButtonStyle">
-         <enum>Qt::ToolButtonTextBesideIcon</enum>
-        </property>
-        <attribute name="buttonGroup">
-         <string notr="true">textFlowBtnGroup</string>
-        </attribute>
-       </widget>
-      </item>
-      <item>
-       <widget class="QToolButton" name="textFlowUsesBoundingBox">
-        <property name="sizePolicy">
-         <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
-          <horstretch>0</horstretch>
-          <verstretch>0</verstretch>
-         </sizepolicy>
-        </property>
-        <property name="text">
-         <string>Use &amp;Bounding Box</string>
-        </property>
-        <property name="checkable">
-         <bool>true</bool>
-        </property>
-        <property name="autoExclusive">
-         <bool>true</bool>
-        </property>
-        <property name="toolButtonStyle">
-         <enum>Qt::ToolButtonTextBesideIcon</enum>
-        </property>
-        <attribute name="buttonGroup">
-         <string notr="true">textFlowBtnGroup</string>
-        </attribute>
-       </widget>
-      </item>
-      <item>
-       <widget class="QToolButton" name="textFlowUsesContourLine">
-        <property name="sizePolicy">
-         <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
-          <horstretch>0</horstretch>
-          <verstretch>0</verstretch>
-         </sizepolicy>
-        </property>
-        <property name="text">
-         <string>&amp;Use Contour Line</string>
-        </property>
-        <property name="checkable">
-         <bool>true</bool>
-        </property>
-        <property name="autoExclusive">
-         <bool>true</bool>
-        </property>
-        <property name="toolButtonStyle">
-         <enum>Qt::ToolButtonTextBesideIcon</enum>
-        </property>
-        <attribute name="buttonGroup">
-         <string notr="true">textFlowBtnGroup</string>
-        </attribute>
-       </widget>
-      </item>
-      <item>
-       <widget class="QToolButton" name="textFlowUsesImageClipping">
-        <property name="sizePolicy">
-         <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
-          <horstretch>0</horstretch>
-          <verstretch>0</verstretch>
-         </sizepolicy>
-        </property>
-        <property name="text">
-         <string>Use Image Clip Path</string>
-        </property>
-        <property name="checkable">
-         <bool>true</bool>
-        </property>
-        <property name="autoExclusive">
-         <bool>true</bool>
-        </property>
-        <property name="toolButtonStyle">
-         <enum>Qt::ToolButtonTextBesideIcon</enum>
-        </property>
-        <attribute name="buttonGroup">
-         <string notr="true">textFlowBtnGroup</string>
-        </attribute>
-       </widget>
-      </item>
-     </layout>
-    </widget>
-   </item>
-   <item>
-    <widget class="QStackedWidget" name="stackedWidget">
-     <property name="currentIndex">
-      <number>1</number>
-     </property>
-     <widget class="QWidget" name="page"/>
-     <widget class="QWidget" name="page_2">
-      <layout class="QVBoxLayout" name="verticalLayout_4">
+    <layout class="QGridLayout" name="gridLayout">
+     <item row="1" column="0">
+      <widget class="QLabel" name="label_2">
+       <property name="text">
+        <string>Shape:</string>
+       </property>
+      </widget>
+     </item>
+     <item row="3" column="1">
+      <layout class="QHBoxLayout" name="horizontalLayout_5">
+       <item>
+        <widget class="QToolButton" name="textFlowUsesBoundingBox">
+         <property name="sizePolicy">
+          <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
+           <horstretch>0</horstretch>
+           <verstretch>0</verstretch>
+          </sizepolicy>
+         </property>
+         <property name="maximumSize">
+          <size>
+           <width>22</width>
+           <height>16777215</height>
+          </size>
+         </property>
+         <property name="toolTip">
+          <string>Text flow around bounding box</string>
+         </property>
+         <property name="text">
+          <string>Use &amp;Bounding Box</string>
+         </property>
+         <property name="checkable">
+          <bool>true</bool>
+         </property>
+         <property name="autoExclusive">
+          <bool>true</bool>
+         </property>
+         <property name="toolButtonStyle">
+          <enum>Qt::ToolButtonIconOnly</enum>
+         </property>
+         <attribute name="buttonGroup">
+          <string notr="true">textFlowBtnGroup</string>
+         </attribute>
+        </widget>
+       </item>
+       <item>
+        <widget class="QToolButton" name="textFlowUsesFrameShape">
+         <property name="sizePolicy">
+          <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
+           <horstretch>0</horstretch>
+           <verstretch>0</verstretch>
+          </sizepolicy>
+         </property>
+         <property name="maximumSize">
+          <size>
+           <width>22</width>
+           <height>16777215</height>
+          </size>
+         </property>
+         <property name="toolTip">
+          <string>Text flow around  frame shape</string>
+         </property>
+         <property name="text">
+          <string>Use Frame &amp;Shape</string>
+         </property>
+         <property name="checkable">
+          <bool>true</bool>
+         </property>
+         <property name="autoExclusive">
+          <bool>true</bool>
+         </property>
+         <property name="toolButtonStyle">
+          <enum>Qt::ToolButtonIconOnly</enum>
+         </property>
+         <attribute name="buttonGroup">
+          <string notr="true">textFlowBtnGroup</string>
+         </attribute>
+        </widget>
+       </item>
        <item>
-        <widget class="QGroupBox" name="fillRuleGroup">
-         <property name="title">
-          <string>Fill Rule</string>
+        <widget class="QToolButton" name="textFlowDisabled">
+         <property name="sizePolicy">
+          <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
+           <horstretch>0</horstretch>
+           <verstretch>0</verstretch>
+          </sizepolicy>
          </property>
-         <property name="flat">
+         <property name="maximumSize">
+          <size>
+           <width>22</width>
+           <height>16777215</height>
+          </size>
+         </property>
+         <property name="toolTip">
+          <string>Text flow around frame disabled</string>
+         </property>
+         <property name="text">
+          <string>Disabled</string>
+         </property>
+         <property name="checkable">
           <bool>true</bool>
          </property>
-         <layout class="QHBoxLayout" name="horizontalLayout_3">
-          <property name="spacing">
-           <number>5</number>
-          </property>
-          <property name="leftMargin">
-           <number>2</number>
-          </property>
-          <property name="topMargin">
-           <number>2</number>
-          </property>
-          <property name="rightMargin">
-           <number>2</number>
-          </property>
-          <property name="bottomMargin">
-           <number>2</number>
-          </property>
-          <item>
-           <spacer name="horizontalSpacer_2">
-            <property name="orientation">
-             <enum>Qt::Horizontal</enum>
-            </property>
-            <property name="sizeHint" stdset="0">
-             <size>
-              <width>40</width>
-              <height>20</height>
-             </size>
-            </property>
-           </spacer>
-          </item>
-          <item>
-           <widget class="QRadioButton" name="evenOdd">
-            <property name="sizePolicy">
-             <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
-              <horstretch>0</horstretch>
-              <verstretch>0</verstretch>
-             </sizepolicy>
-            </property>
-            <property name="toolTip">
-             <string>&lt;qt&gt;Any path self-intersections or subpaths create holes in the fill&lt;/qt&gt;</string>
-            </property>
-            <property name="text">
-             <string>Even-Odd</string>
-            </property>
-           </widget>
-          </item>
-          <item>
-           <widget class="QRadioButton" name="nonZero">
-            <property name="sizePolicy">
-             <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
-              <horstretch>0</horstretch>
-              <verstretch>0</verstretch>
-             </sizepolicy>
-            </property>
-            <property name="toolTip">
-             <string>&lt;qt&gt;Fill is solid unless a subpath is counter-directional&lt;/qt&gt;</string>
-            </property>
-            <property name="text">
-             <string>Non Zero</string>
-            </property>
-           </widget>
-          </item>
-          <item>
-           <spacer name="horizontalSpacer_3">
-            <property name="orientation">
-             <enum>Qt::Horizontal</enum>
-            </property>
-            <property name="sizeHint" stdset="0">
-             <size>
-              <width>40</width>
-              <height>20</height>
-             </size>
-            </property>
-           </spacer>
-          </item>
-         </layout>
+         <property name="autoExclusive">
+          <bool>true</bool>
+         </property>
+         <property name="toolButtonStyle">
+          <enum>Qt::ToolButtonIconOnly</enum>
+         </property>
+         <attribute name="buttonGroup">
+          <string notr="true">textFlowBtnGroup</string>
+         </attribute>
         </widget>
        </item>
+       <item>
+        <widget class="QToolButton" name="textFlowUsesContourLine">
+         <property name="sizePolicy">
+          <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
+           <horstretch>0</horstretch>
+           <verstretch>0</verstretch>
+          </sizepolicy>
+         </property>
+         <property name="maximumSize">
+          <size>
+           <width>22</width>
+           <height>16777215</height>
+          </size>
+         </property>
+         <property name="toolTip">
+          <string>Text Flow around contour line</string>
+         </property>
+         <property name="text">
+          <string>&amp;Use Contour Line</string>
+         </property>
+         <property name="checkable">
+          <bool>true</bool>
+         </property>
+         <property name="autoExclusive">
+          <bool>true</bool>
+         </property>
+         <property name="toolButtonStyle">
+          <enum>Qt::ToolButtonIconOnly</enum>
+         </property>
+         <attribute name="buttonGroup">
+          <string notr="true">textFlowBtnGroup</string>
+         </attribute>
+        </widget>
+       </item>
+       <item>
+        <widget class="QToolButton" name="textFlowUsesImageClipping">
+         <property name="sizePolicy">
+          <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
+           <horstretch>0</horstretch>
+           <verstretch>0</verstretch>
+          </sizepolicy>
+         </property>
+         <property name="maximumSize">
+          <size>
+           <width>22</width>
+           <height>16777215</height>
+          </size>
+         </property>
+         <property name="toolTip">
+          <string>Text flow around image clip path</string>
+         </property>
+         <property name="text">
+          <string>Use Image Clip Path</string>
+         </property>
+         <property name="checkable">
+          <bool>true</bool>
+         </property>
+         <property name="autoExclusive">
+          <bool>true</bool>
+         </property>
+         <property name="toolButtonStyle">
+          <enum>Qt::ToolButtonIconOnly</enum>
+         </property>
+         <attribute name="buttonGroup">
+          <string notr="true">textFlowBtnGroup</string>
+         </attribute>
+        </widget>
+       </item>
+       <item>
+        <spacer name="horizontalSpacer_4">
+         <property name="orientation">
+          <enum>Qt::Horizontal</enum>
+         </property>
+         <property name="sizeHint" stdset="0">
+          <size>
+           <width>40</width>
+           <height>20</height>
+          </size>
+         </property>
+        </spacer>
+       </item>
+      </layout>
+     </item>
+     <item row="1" column="1">
+      <layout class="QHBoxLayout" name="horizontalLayout_6">
+       <item>
+        <widget class="Autoforms" name="customShape">
+         <property name="toolTip">
+          <string>Choose the shape of frame...</string>
+         </property>
+         <property name="text">
+          <string>...</string>
+         </property>
+        </widget>
+       </item>
+       <item>
+        <widget class="QToolButton" name="editShape">
+         <property name="text">
+          <string>&amp;Edit...</string>
+         </property>
+        </widget>
+       </item>
+       <item>
+        <spacer name="horizontalSpacer">
+         <property name="orientation">
+          <enum>Qt::Horizontal</enum>
+         </property>
+         <property name="sizeHint" stdset="0">
+          <size>
+           <width>40</width>
+           <height>20</height>
+          </size>
+         </property>
+        </spacer>
+       </item>
+       <item>
+        <widget class="QLabel" name="roundRectIcon">
+         <property name="minimumSize">
+          <size>
+           <width>10</width>
+           <height>10</height>
+          </size>
+         </property>
+         <property name="toolTip">
+          <string notr="true"/>
+         </property>
+         <property name="text">
+          <string/>
+         </property>
+        </widget>
+       </item>
+       <item>
+        <widget class="ScrSpinBox" name="roundRect">
+         <property name="sizePolicy">
+          <sizepolicy hsizetype="Minimum" vsizetype="Fixed">
+           <horstretch>0</horstretch>
+           <verstretch>0</verstretch>
+          </sizepolicy>
+         </property>
+         <property name="toolTip">
+          <string>Set radius of corner rounding</string>
+         </property>
+        </widget>
+       </item>
+      </layout>
+     </item>
+     <item row="3" column="0">
+      <widget class="QLabel" name="label_3">
+       <property name="text">
+        <string>Text Flow:</string>
+       </property>
+      </widget>
+     </item>
+     <item row="5" column="0">
+      <widget class="QLabel" name="label_4">
+       <property name="text">
+        <string>Fill Rule:</string>
+       </property>
+      </widget>
+     </item>
+     <item row="5" column="1">
+      <layout class="QHBoxLayout" name="horizontalLayout_2">
+       <item>
+        <widget class="QToolButton" name="evenOdd">
+         <property name="toolTip">
+          <string>Any path self-intersections or subpaths create holes in the fill (fill-rule: evenodd)</string>
+         </property>
+         <property name="text">
+          <string>...</string>
+         </property>
+         <property name="checkable">
+          <bool>true</bool>
+         </property>
+         <property name="autoExclusive">
+          <bool>true</bool>
+         </property>
+         <attribute name="buttonGroup">
+          <string notr="true">fillRuleBtnGroup</string>
+         </attribute>
+        </widget>
+       </item>
+       <item>
+        <widget class="QToolButton" name="nonZero">
+         <property name="toolTip">
+          <string>Fill is solid unless a subpath is counterdirectional  (fill-rule: nonzero)</string>
+         </property>
+         <property name="text">
+          <string>...</string>
+         </property>
+         <property name="checkable">
+          <bool>true</bool>
+         </property>
+         <property name="autoExclusive">
+          <bool>true</bool>
+         </property>
+         <attribute name="buttonGroup">
+          <string notr="true">fillRuleBtnGroup</string>
+         </attribute>
+        </widget>
+       </item>
+       <item>
+        <spacer name="horizontalSpacer_3">
+         <property name="orientation">
+          <enum>Qt::Horizontal</enum>
+         </property>
+         <property name="sizeHint" stdset="0">
+          <size>
+           <width>40</width>
+           <height>20</height>
+          </size>
+         </property>
+        </spacer>
+       </item>
       </layout>
-     </widget>
-    </widget>
+     </item>
+    </layout>
    </item>
    <item>
     <spacer name="verticalSpacer">
@@ -396,6 +389,7 @@
  <resources/>
  <connections/>
  <buttongroups>
+  <buttongroup name="fillRuleBtnGroup"/>
   <buttongroup name="textFlowBtnGroup"/>
  </buttongroups>
 </ui>
indigo-pp-shape.diff (26,096 bytes)
shape-new.png (12,223 bytes)
shape-new.png (12,223 bytes)

ale

2019-09-06 17:19

manager   ~0046637

ah, a better icon for the corners is needed!

ale

2019-09-06 17:20

manager   ~0046638

ps: the final goal is probably to have only one panel for the xyz, shape and color tabs...

ale

2019-10-14 07:13

manager   ~0046777

in a second step, i should probably replace the "Edit" in the button by some icon and add a second button for editing the contour (0010409)

JLuc

2019-10-14 07:40

developer   ~0046779

Looks compact but clear.
Good to have icons aligned on the left : they are still visible even when palette is not soooooo wide.

cbradney

2019-11-02 06:39

administrator   ~0046906

Just keep it all in here.. the patch can go here.

PeterBenedek

2019-11-02 09:58

developer   ~0046910

Added: is related to 0015898

Issue History

Date Modified Username Field Change
2019-09-06 17:17 ale New Issue
2019-09-06 17:18 ale File Added: indigo-pp-shape.diff
2019-09-06 17:18 ale File Added: shape-new.png
2019-09-06 17:19 ale Note Added: 0046637
2019-09-06 17:20 ale Note Added: 0046638
2019-09-06 17:20 ale Summary Indigo UI: shrink the "shape" tab of the properties palette => [PATCH] Indigo UI: shrink the "shape" tab of the properties palette
2019-09-06 17:20 ale Patch No => Yes
2019-09-06 17:20 ale Relationship added related to 0012277
2019-09-06 20:54 ale Description Updated View Revisions
2019-10-14 07:13 ale Note Added: 0046777
2019-10-14 07:17 ale Relationship added related to 0010409
2019-10-14 07:40 JLuc Note Added: 0046779
2019-10-31 17:39 ale Relationship added related to 0015893
2019-11-02 06:39 cbradney Note Added: 0046906
2019-11-02 09:56 PeterBenedek Relationship added related to 0015898
2019-11-02 09:58 PeterBenedek Note Added: 0046910
2019-11-09 10:26 ale Assigned To => ale
2019-11-09 10:26 ale Status new => resolved
2019-11-09 10:26 ale Resolution open => fixed
2019-11-09 11:34 ale Fixed in Version => 1.5.6.svn